# GimpUi.SpinButton.new

    function new(adjustment: Gtk.Adjustment, climb_rate: Number(gdouble), digits: Number(guint)): Gtk.Widget {
        // Gjs wrapper for gimp_spin_button_new()
    }

Creates a new GimpUi.SpinButton.

Since 2.10.10

adjustment

  the Gtk.Adjustment object that this spin button should use, or null

climb_rate

  specifies by how much the rate of change in the value will accelerate if you continue to hold down an up/down button or arrow key

digits

  the number of decimal places to display

Returns

  The new spin button as a Gtk.Widget